<div ng-controller="Cart as cart" class="col-sm-12 cart-tab-content">
  <nav class="navbar navbar-default" role="navigation">
    <div class="navbar-header">
      <a class="navbar-brand" href="#">Cart <small>({{cart.count}})</small></a>
    </div>
    <div class="collapse navbar-collapse">
      <form class="navbar-form navbar-left">
        <div class="form-group">
          Name:
          <input type="text" ng-model="cart.data.name" class="form-control" placeholder="Enter name ...">
        </div>
      </form>
      <ul class="nav navbar-nav">
        <li>
          <a href="#" class="no-text-select" ng-init="aminoVisible = false" ng-mousedown="aminoVisible = !aminoVisible">
            <i class="fa fa-fw" ng-class="{'fa-eye': !aminoVisible, 'fa-eye-slash': aminoVisible}"></i> {{aminoVisible ? 'Hide' : 'Show'}} AAs
          </a>
        </li>
        <li class="dropdown" uib-dropdown>
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"
             aria-expanded="false" uib-dropdown-toggle><i class="fa fa-trash"></i> Clear cart</a>
          <ul class="dropdown-menu" uib-dropdown-menu role="menu">
            <li role="menuitem">
              <a href="#" class="no-text-select" ng-mousedown="cart.clear()">
                <i class="fa fa-warning"></i> Confirm
              </a>
            </li>
          </ul>
        </li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li ng-if="cart.mode === 'viral' && cart.wiki3dmSubmissionAvailable">
          <a href="#" class="no-text-select" ng-mousedown="cart.openSendTo3DMDialog()">
            <i class="fa fa-fw fa-cogs"></i> Evaluate cart contents with 3DM
          </a>
        </li>
        <li ng-if="cart.mode === 'viral'">
          <a href="#" class="no-text-select" ng-mousedown="cart.openSendToWikiDialog()">
            <i class="fa fa-fw fa-send"></i> Submit cart contents to Wiki
          </a>
        </li>
        <li>
          <a href="#"><i class="fa fa-fw" ng-class="{'fa-spinner fa-pulse': cart.generatingFile}"></i></a>
        </li>
        <li class="dropdown" uib-dropdown>
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"
             aria-expanded="false" uib-dropdown-toggle>Import EMGB cart <span class="caret"></span></a>
          <ul class="dropdown-menu" uib-dropdown-menu role="menu">
            <li role="menuitem">
              <div class="alert alert-success" role="alert">
                Please select an EMGB cart file (.cart)
              </div>
              <form>
                <input file-upload type="file" contents="cart.uploadedCart.contents"/>
              </form>
              <a id="download-cart" style="display: none"
                 download="{{cart.data.name === '' ? 'cart' : cart.data.name}}.{{cart.downloadExt}}"
                 ng-href="{{cart.downloadUrl}}">Download</a>
            </li>
          </ul>
        </li>
        <li class="dropdown" uib-dropdown>
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"
             aria-expanded="false" uib-dropdown-toggle>Export as <span class="caret"></span></a>
          <ul class="dropdown-menu" uib-dropdown-menu role="menu">
            <li>
              <div class="alert alert-success" role="alert" style="cursor: default">
                <i class="fa fa-info-circle" ng-click="cart.wiki3dmSubmissionAvailable = true"></i>
                The file download will be named after your cart.
              </div>
            </li>
            <li role="menuitem">
              <a href="#" ng-mousedown="cart.exportAsFasta('amino')">
                <i class="fa fa-fw fa-download"></i> amino acids (.faa)
              </a>
            </li>
            <li role="menuitem">
              <a href="#" ng-mousedown="cart.exportAsFasta('nucleotide')">
                <i class="fa fa-fw fa-download"></i> nucleotides (.fna)
              </a>
            </li>
            <li role="menuitem">
              <a href="#">
                <i class="fa fa-fw fa-download"></i> table.tsv (coming soon)
              </a>
            </li>
            <li role="menuitem">
              <a href="#" ng-mousedown="cart.exportAsLocalStorageFile()">
                <i class="fa fa-fw fa-download"></i> EMGB cart (.cart)
              </a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </nav>

  <div class="panel panel-default" ng-repeat="(datasetName, geneids) in cart.data.genes">
    <div class="panel-heading">{{datasetName}}</div>
    <table class="table" style="table-layout: fixed">
      <tr>
        <th style="width: 25%;">{{cart.getColumnLabel('geneid')}}</th>
        <th style="width: 55%;">{{cart.getColumnLabel('salltitles')}}</th>
        <th style="width: 15%;">{{cart.getColumnLabel('partial')}}</th>
        <th style="width: 15%;">{{cart.getColumnLabel('length')}}&nbsp;(AA)</th>
        <th style="width: 40px;"></th>
      </tr>
      <tr ng-repeat-start="(geneid, val) in geneids">
        <td class="id-column" ng-class="{'absent-dataset': !cart.otherColumns[geneid]}"><div style="word-wrap: break-word">{{geneid}}</div></td>
        <td>
          {{cart.otherColumns[geneid]['salltitles']}}
          <span class="absent-dataset" ng-if="!cart.otherColumns[geneid]">
            <i class="fa fa-fw fa-exclamation-circle"></i>
            dataset is absent
          </span>
        </td>
        <td>{{cart.otherColumns[geneid]['partial']}}</td>
        <td>{{cart.otherColumns[geneid]['length']}}</td>
        <td>
          <button type="button" class="btn btn-default btn-xs" ng-mousedown="cart.removeFromCart(datasetName, geneid)"
                  uib-tooltip="Remove from cart" tooltip-placement="left">
            <i class="fa fa-trash"></i>
          </button>
        </td>
      </tr>
      <tr ng-repeat-end ng-show="aminoVisible">
        <td colspan="3" style="border-top: none !important; padding-top: 0 !important;">
          <div class="cart-sequence-data">
            {{cart.otherColumns[geneid]['amino']}}
          </div>
        </td>
        <td style="border-top: none !important; padding-top: 0 !important;"></td>
      </tr>
    </table>
  </div>
  <div class="alert alert-success" role="alert" ng-show="cart.isEmpty()">Your cart is empty. Please open any dataset and use
    <button type="button" class="btn btn-default btn-xs">
      <i class="fa fa-shopping-cart"></i><i class="fa fa-fw fa-plus"></i>
    </button>
    to add genes to your cart.
  </div>

  <div class="alert alert-success" role="alert">
    <i class="fa fa-info-circle"></i>
    Cart content storage is non-permanent and local (on your computer) only. Please use the cart export functionality for backup and sharing.
  </div>
</div>